%define ver_major 2.18

Name:    epiphany-extensions
License: GPL
URL:     http://www.gnome.org/projects/epiphany

Version: %ver_major.0
Release: alt0.1

Source: %name-%version.tar.bz2

BuildPreReq: iso-codes-devel intltool gnome-doc-utils

# Automatically added by buildreq on Wed Mar 07 2007
BuildRequires: epiphany-devel firefox-devel gcc-c++ gcc-fortran GConf glibc-devel-static gnome-doc-utils-xslt libOpenSP-devel libpcre-devel packages-info-i18n-common perl-XML-Parser scrollkeeper

Summary: Extensions for Epiphany, a GNOME web browser.
Group: Networking/WWW
Requires: epiphany >= %ver_major.0
%description
Extensions for Epiphany, a GNOME web browser based on the Mozilla rendering engine.

%prep
%setup -q

%build
#export LDFLAGS="$LDFLAGS -Wl,--no-as-needed"
%configure \
    --with-extensions=all \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-dependency-tracking

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --with-gnome --output=%name.lang %name %name-%ver_major

%define schemas smart-bookmarks

%post
%gconf2_install %schemas
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %schemas
fi

%postun
%clean_scrollkeeper

%files -f %name.lang
%config %_sysconfdir/gconf/schemas/*
%_libdir/epiphany/%ver_major/extensions/*.so*
%_libdir/epiphany/%ver_major/extensions/*.py*
%_libdir/epiphany/%ver_major/extensions/*.ephy-extension
%_datadir/%name
%doc AUTHORS ChangeLog NEWS README TODO COPYING.*

%changelog
* Mon Mar 12 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.0-alt0.1
- 2.18.0

* Wed Mar 07 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.17.92-alt0.1
- 2.17.92 (!!!WARNING!!! this is an experimental build)

* Mon Nov 27 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt3
- Rebuild with new epiphany and firefox

* Mon Oct 09 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt1
- 2.16.1

* Thu Sep 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.0-alt1
- 2.16.0

* Tue Aug 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1.1-alt2
- Rebuild with new epiphany and mozilla

* Thu Jun 01 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1.1-alt1
- 2.14.1.1

* Fri Apr 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.1-alt1
- 2.14.1

* Tue Mar 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.0.1-alt2
- ChangeLog corrected

* Mon Mar 13 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.0.1-alt1
- 2.14.0.1

* Tue Mar 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.9.7-alt2
- Disable --as-needed flag for linker

* Wed Feb 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.9.7-alt1
- 1.9.7

* Fri Dec 02 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.2-alt1
- 1.8.2

* Fri Oct 28 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.1-alt2
- Rebuild with python support

* Mon Oct 03 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.1-alt1
- 1.8.1

* Tue Sep 13 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.8.0-alt3
- 1.8.0

* Sat Apr 23 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.3-alt1
- 1.6.3

* Sat Apr 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1-alt1
- 1.6.1

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0

* Fri Mar 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.5.8-alt1
- 1.5.8

* Fri Jan 28 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Thu Dec 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- first build for Sisyphus.
